Subject: bug#38558: Gajim and GNOME

From: Raghav Gururajan <[email-masked]>
Date: Tue, 10 Dec 2019 08:10:07 -0500

Hello Guix!

After GNOME 3.32 update, the gajim stopped working.

When I start/open gajim application, I do not see any window appearing.
But I can see in system monitor, that process ".gajim" or ".gajim-real" 
running.

When I launch gajim via terminal, I get the following errors.

*** START ***

No translations found

Dirs searched: [PosixPath('/gnu/store/gb2v82aflbxjbq1rkgb56xd07f3s01x3-
shared-mime-info-1.10/share'),
PosixPath('/gnu/store/b8pr2k0i2zd07zmb7kpffmcimqi337if-glib-
2.60.6/share'), PosixPath('/gnu/store/igp43vz0zkmbp7qcrsgswjim2x3nxiry-
gsettings-desktop-schemas-3.32.0/share'),
PosixPath('/gnu/store/vdyrjiz4rmlglp7ybvijkzcwn5x90w22-gtk+-
3.24.12/share'),
PosixPath('/gnu/store/76myfsizzlyrqa9y2h3xjb9ys78p5nvx-gnome-terminal-
3.32.2/share'), PosixPath('/gnu/store/p9r4qkjkr4q7bkchxbda3f3ihwm80vqi-
geocode-glib-3.26.1/share'),
PosixPath('/gnu/store/igp43vz0zkmbp7qcrsgswjim2x3nxiry-gsettings-
desktop-schemas-3.32.0/share'),
PosixPath('/gnu/store/gb2v82aflbxjbq1rkgb56xd07f3s01x3-shared-mime-
info-1.10/share'),
PosixPath('/gnu/store/b8pr2k0i2zd07zmb7kpffmcimqi337if-glib-
2.60.6/share'), PosixPath('/gnu/store/vdyrjiz4rmlglp7ybvijkzcwn5x90w22-
gtk+-3.24.12/share'),
PosixPath('/gnu/store/97mwji9qrshfmq38gsmwa4961l5yz7ik-telepathy-
logger-0.8.2/share'),
PosixPath('/gnu/store/8n09asl8p7wasdkwwbwk0c1p1h0sn83b-pulseaudio-
13.0/share'), PosixPath('/gnu/store/2m0z8nc3r565nq7c16ss5nqpshgghdsg-
network-manager-applet-1.8.24/share'),
PosixPath('/gnu/store/r99fgapy0ixgfxlv5s36nkb5bnbwiv2w-mutter-
3.32.2/share'), PosixPath('/gnu/store/900k6ns11vijvdq55lhswgrcdky1hhqb-
libgweather-3.28.3/share'),
PosixPath('/gnu/store/6nhjqrrqi3lg41acak4bibcicrqyyd2g-libgnomekbd-
3.26.1/share'), PosixPath('/gnu/store/672sgy615zls3zxc533cdi9f4l5v7x8j-
ibus-1.5.20/share'),
PosixPath('/gnu/store/miy0hmfvr9agpwq00bqsj4nlnp4lcfkw-gnome-settings-
daemon-3.32.1/share'),
PosixPath('/gnu/store/d6lrmajgkw3gwdgnpy8rq66yba2x2yz3-gnome-bluetooth-
3.32.1/share'), PosixPath('/gnu/store/3yifiaa3wshl1lr4jm2na7dmbadk02r9-
gdm-3.32.0/share'),
PosixPath('/gnu/store/ckwsdbg3ki2ajmbl8z30aj0vbxs726ky-gcr-
3.28.1/share'), PosixPath('/gnu/store/v6h8h6mr99h74kih31klwsil096994sb-
evolution-data-server-3.32.4/share'),
PosixPath('/gnu/store/jll8wq5lqai3m3yr30gfjjr4nk10dmyc-caribou-
0.4.21/share'), PosixPath('/gnu/store/k71asvl9jyc4rn15prq83i46lzidizsh-
gnome-shell-3.32.2/share'),
PosixPath('/gnu/store/p9r4qkjkr4q7bkchxbda3f3ihwm80vqi-geocode-glib-
3.26.1/share'), PosixPath('/gnu/store/igp43vz0zkmbp7qcrsgswjim2x3nxiry-
gsettings-desktop-schemas-3.32.0/share'),
PosixPath('/gnu/store/gb2v82aflbxjbq1rkgb56xd07f3s01x3-shared-mime-
info-1.10/share'),
PosixPath('/gnu/store/b8pr2k0i2zd07zmb7kpffmcimqi337if-glib-
2.60.6/share'), PosixPath('/gnu/store/vdyrjiz4rmlglp7ybvijkzcwn5x90w22-
gtk+-3.24.12/share'),
PosixPath('/gnu/store/97mwji9qrshfmq38gsmwa4961l5yz7ik-telepathy-
logger-0.8.2/share'),
PosixPath('/gnu/store/8n09asl8p7wasdkwwbwk0c1p1h0sn83b-pulseaudio-
13.0/share'), PosixPath('/gnu/store/2m0z8nc3r565nq7c16ss5nqpshgghdsg-
network-manager-applet-1.8.24/share'),
PosixPath('/gnu/store/r99fgapy0ixgfxlv5s36nkb5bnbwiv2w-mutter-
3.32.2/share'), PosixPath('/gnu/store/900k6ns11vijvdq55lhswgrcdky1hhqb-
libgweather-3.28.3/share'),
PosixPath('/gnu/store/6nhjqrrqi3lg41acak4bibcicrqyyd2g-libgnomekbd-
3.26.1/share'), PosixPath('/gnu/store/672sgy615zls3zxc533cdi9f4l5v7x8j-
ibus-1.5.20/share'),
PosixPath('/gnu/store/miy0hmfvr9agpwq00bqsj4nlnp4lcfkw-gnome-settings-
daemon-3.32.1/share'),
PosixPath('/gnu/store/d6lrmajgkw3gwdgnpy8rq66yba2x2yz3-gnome-bluetooth-
3.32.1/share'), PosixPath('/gnu/store/3yifiaa3wshl1lr4jm2na7dmbadk02r9-
gdm-3.32.0/share'),
PosixPath('/gnu/store/ckwsdbg3ki2ajmbl8z30aj0vbxs726ky-gcr-
3.28.1/share'), PosixPath('/gnu/store/v6h8h6mr99h74kih31klwsil096994sb-
evolution-data-server-3.32.4/share'),
PosixPath('/gnu/store/jll8wq5lqai3m3yr30gfjjr4nk10dmyc-caribou-
0.4.21/share'), PosixPath('/gnu/store/k71asvl9jyc4rn15prq83i46lzidizsh-
gnome-shell-3.32.2/share'),
PosixPath('/gnu/store/gb2v82aflbxjbq1rkgb56xd07f3s01x3-shared-mime-
info-1.10/share'),
PosixPath('/gnu/store/b8pr2k0i2zd07zmb7kpffmcimqi337if-glib-
2.60.6/share'), PosixPath('/gnu/store/vdyrjiz4rmlglp7ybvijkzcwn5x90w22-
gtk+-3.24.12/share'),
PosixPath('/gnu/store/igp43vz0zkmbp7qcrsgswjim2x3nxiry-gsettings-
desktop-schemas-3.32.0/share'),
PosixPath('/gnu/store/axifbfma7zqf7fasl57hz7jhg0xrj5qz-gnome-session-
3.32.0/share'), PosixPath('/gnu/store/gb2v82aflbxjbq1rkgb56xd07f3s01x3-
shared-mime-info-1.10/share'),
PosixPath('/gnu/store/b8pr2k0i2zd07zmb7kpffmcimqi337if-glib-
2.60.6/share'), PosixPath('/gnu/store/vdyrjiz4rmlglp7ybvijkzcwn5x90w22-
gtk+-3.24.12/share'),
PosixPath('/gnu/store/igp43vz0zkmbp7qcrsgswjim2x3nxiry-gsettings-
desktop-schemas-3.32.0/share'),
PosixPath('/gnu/store/axifbfma7zqf7fasl57hz7jhg0xrj5qz-gnome-session-
3.32.0/share'), PosixPath('/gnu/store/gb2v82aflbxjbq1rkgb56xd07f3s01x3-
shared-mime-info-1.10/share'),
PosixPath('/gnu/store/b8pr2k0i2zd07zmb7kpffmcimqi337if-glib-
2.60.6/share'), PosixPath('/gnu/store/vdyrjiz4rmlglp7ybvijkzcwn5x90w22-
gtk+-3.24.12/share'),
PosixPath('/gnu/store/igp43vz0zkmbp7qcrsgswjim2x3nxiry-gsettings-
desktop-schemas-3.32.0/share'),
PosixPath('/gnu/store/axifbfma7zqf7fasl57hz7jhg0xrj5qz-gnome-session-
3.32.0/share'), PosixPath('/home/rg/.guix-profile/share'),
PosixPath('/run/current-system/profile/share'),
PosixPath('/home/rg/.guix-profile/share'), PosixPath('/run/current-
system/profile/share')]

/gnu/store/z5fdc5aa9hs4c3p79ajzgxhazv7702y8-python-pygobject-
3.28.3/lib/python3.7/site-packages/gi/module.py:177: Warning: cannot
register existing type 'GdkPixbuf'
  g_type = info.get_g_type()
/gnu/store/z5fdc5aa9hs4c3p79ajzgxhazv7702y8-python-pygobject-
3.28.3/lib/python3.7/site-packages/gi/module.py:177: Warning:
g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE
(instance_type)' failed
  g_type = info.get_g_type()
/gnu/store/z5fdc5aa9hs4c3p79ajzgxhazv7702y8-python-pygobject-
3.28.3/lib/python3.7/site-packages/gi/module.py:177: Warning:
g_once_init_leave: assertion 'result != 0' failed
  g_type = info.get_g_type()
/gnu/store/z5fdc5aa9hs4c3p79ajzgxhazv7702y8-python-pygobject-
3.28.3/lib/python3.7/site-packages/gi/module.py:211: Warning:
g_type_get_qdata: assertion 'node != NULL' failed
  type_ = g_type.pytype
/gnu/store/z5fdc5aa9hs4c3p79ajzgxhazv7702y8-python-pygobject-
3.28.3/lib/python3.7/site-packages/gi/module.py:225: Warning:
g_type_get_qdata: assertion 'node != NULL' failed
  g_type.pytype = wrapper
/gnu/store/z5fdc5aa9hs4c3p79ajzgxhazv7702y8-python-pygobject-
3.28.3/lib/python3.7/site-packages/gi/module.py:225: Warning:
g_type_set_qdata: assertion 'node != NULL' failed
  g_type.pytype = wrapper

*** END ***

Regards,
RG.